tigase.server

## Class DataForm.Builder

- java.lang.Object
- - tigase.server.DataForm.Builder

- Enclosing class:
    DataForm

      public static class DataForm.Builder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder(Element parent, Command.DataType type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataForm.Field.Builder` | `addField(DataForm.FieldType type, String var)`
    `DataForm.Builder` | `addInstructions(String[] instructions)`
    `DataForm.Builder` | `addTitle(String title)`
    `Element` | `build()`
    `DataForm.Builder` | `withFields(Consumer<DataForm.Builder> consumer)`
    `DataForm.Builder` | `withItem(Consumer<DataForm.Item.Builder> consumer)`
    `DataForm.Builder` | `withReported(Consumer<DataForm.Reported.Builder> consumer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder(Element parent,
                         Command.DataType type)

  - ### Method Detail

    - #### addTitle

          public DataForm.Builder addTitle(String title)

    - #### addInstructions

          public DataForm.Builder addInstructions(String[] instructions)

    - #### addField

          public DataForm.Field.Builder addField(DataForm.FieldType type,
                                                 String var)

    - #### withFields

          public DataForm.Builder withFields(Consumer<DataForm.Builder> consumer)

    - #### withReported

          public DataForm.Builder withReported(Consumer<DataForm.Reported.Builder> consumer)

    - #### withItem

          public DataForm.Builder withItem(Consumer<DataForm.Item.Builder> consumer)

    - #### build

          public Element build()

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.